Bug 206245 - right click delay whien rdesktop running
right click delay whien rdesktop running
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 03:52 EDT by Sarantis Paskalis
Modified: 2008-04-09 20:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: f8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 20:56:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sarantis Paskalis 2006-09-13 03:52:26 EDT
Description of problem:
When pressing right-click in a gnome-terminal, the dialog shows up with a delay
of about 2 minutes (maybe more, haven't timed it).  This is only happening when
a rdesktop instance is also running.  The problem goes away as soon as the
rdesktop instance exits.

Version-Release number of selected component (if applicable):
gnome-terminal-2.14.2-1
rdesktop-1.4.1-3.2.1

How reproducible:
The behavior cannot be reproduced 100%.  Sometimes, and especially at the
beginning of the rdesktop session, right-click behaves ok.  From some moment on
however, this behavior (the delay) occurs and it does not go away until rdesktop
 exits.



Steps to Reproduce:
1. open a gnome terminal and a rdesktop session.
2. work in rdesktop for some time (this is the part which cannot be measured)
3. dialog of a right click in gnome terminal shows up with big delay (>2 minutes).
  
Actual results:


Expected results:


Additional info:
The dialog eventually shows up and does its action.  For example, if I wanted to
open a link in the browser, the command succeeds in firefox, even if
gnome-terminal has been closed.
Comment 1 Bug Zapper 2008-04-03 23:42:47 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Sarantis Paskalis 2008-04-04 05:29:15 EDT
FWIW, this bug is no longer a problem in Fedora 8.
Comment 3 Sarantis Paskalis 2008-04-04 05:30:22 EDT
I meant, the behavior described in the bug report is not present in F8, so I
guess it is fixed there.
Comment 4 John Poelstra 2008-04-09 20:56:03 EDT
thanks for the udpate

Note You need to log in before you can comment on or make changes to this bug.